| Home | Libraries | People | FAQ | More

##### basic_socket::close (1 of 2 overloads)

Close the socket.

    void close();

This function is used to close the socket. Any asynchronous send, receive or connect operations will be cancelled immediately, and will complete with the boost::asio::error::operation_aborted error.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

For portable behaviour with respect to graceful closure of a connected socket, call shutdown() before closing the socket.